<?xml version="1.0" encoding="ISO-8859-1"?>

<!-- course.v01.xsl contient tous les templates d'affichage des informations d'un enseignement (balise course) de CDM-fr -->

<xsl:stylesheet version="1.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	exclude-result-prefixes="xsl xhtml"
	xmlns="http://www.w3.org/1999/xhtml"
	xmlns:xhtml="http://www.w3.org/1999/xhtml">

	<!-- Identifiant ROF -->
	<xsl:template name="tCourseCourseID">
		<xsl:value-of select="key('objet',$idP)/courseID"/>
	</xsl:template>
	
	<!-- Intitulé dans ROF -->
	<xsl:template name="tCourseCourseName">
		<xsl:value-of select="key('objet',$idP)/courseName"/>
	</xsl:template>
	
	<!-- Identifiant logiciel de scolarité -->
	<xsl:template name="tCourseCourseCode">
		<xsl:value-of select="key('objet',$idP)/courseCode/@codeSet"/>
	</xsl:template>
	
	<!-- Descriptif de la donnée "Description du contenu de l'enseignement [publication]" dans ROF -->
	<xsl:template name="tCourseCourseDescription">
		<xsl:apply-templates select="key('objet',$idP)/courseDescription"/>
	</xsl:template>
	
	<!-- Descriptif de la donnée "Niveau de l'enseignement (selon nomenclature CECRL)" dans ROF -->
	<xsl:template name="tCourseLevelInfoBlockType">
		<xsl:call-template name="tLevelInfoBlockType">
			<xsl:with-param name="pNode" select="key('objet',$idP)"/>
		</xsl:call-template>
	</xsl:template>
	
	<!-- Descriptif de la donnée "Niveau de l'enseignement (selon nomenclature CECRL)" dans ROF -->
	<xsl:template name="tCourseLevelLanguageCECRLLevel">
		<xsl:call-template name="tLevelLanguageCECRLLevel">
			<xsl:with-param name="pNode" select="key('objet',$idP)"/>
		</xsl:call-template>
	</xsl:template>
	
	<!-- Nombre de crédits européens -->
	<xsl:template name="tCourseCreditsECTScredits">
		<xsl:call-template name="tCreditsECTScredits">
			<xsl:with-param name="pNode" select="key('objet',$idP)"/>
		</xsl:call-template>
	</xsl:template>
	
	<!-- Coefficient + témoin de capitalisation -->
	<xsl:template name="tCourseCreditsInfoBlockType">
		<xsl:call-template name="tCreditsInfoBlockType">
			<xsl:with-param name="pNode" select="key('objet',$idP)"/>
		</xsl:call-template>
	</xsl:template>
	
	<!--  Volume horaire associé à son type d'enseignement (Vol horaire global correspond au type d'enseignement "all") -->
	<xsl:template name="tCourseCreditsGlobalVolume">
		<xsl:call-template name="tCreditsGlobalVolume">
			<xsl:with-param name="pNode" select="key('objet',$idP)"/>
		</xsl:call-template>
	</xsl:template>
	
	<!-- Descriptif de la donnée "Compétences à acquérir [publication]" dans ROF -->
	<xsl:template name="tCourseLearningObjectivesInfoBlockType">
		<xsl:call-template name="tLearningObjectivesInfoBlockType">
			<xsl:with-param name="pNode" select="key('objet',$idP)"/>
		</xsl:call-template>
	</xsl:template>
	
	<!-- Capacité maximale d'accueil + ECTS requis -->
	<xsl:template name="tCourseAdmissionInfoAdmissionDescription">
		<xsl:call-template name="tAdmissionInfoAdmissionDescription">
			<xsl:with-param name="pNode" select="key('objet',$idP)"/>
		</xsl:call-template>
	</xsl:template>
	
	<!-- Descriptif de la donnée "Pré-requis recommandés" dans ROF -->
	<xsl:template name="tCourseRecommendedPrerequisites">
		<xsl:call-template name="tRecommendedPrerequisites">
			<xsl:with-param name="pNode" select="key('objet',$idP)"/>
		</xsl:call-template>
	</xsl:template>
	
	<!-- Descriptif de la donnée "Pré-requis obligatoires [publication]" dans ROF -->
	<xsl:template name="tCourseFormalPrerequisites">
		<xsl:call-template name="tFormalPrerequisites">
			<xsl:with-param name="pNode" select="key('objet',$idP)"/>
		</xsl:call-template>
	</xsl:template>
	
	<!-- Descriptif de la donnée "Modalités d'organisation et de suivi" dans ROF -->
	<xsl:template name="tCourseFormOfTeaching">
		<xsl:call-template name="tFormOfTeaching">
			<xsl:with-param name="pNode" select="key('objet',$idP)"/>
		</xsl:call-template>
	</xsl:template>
	
	<!-- Descriptif de la donnée "MCC [publication]" dans ROF -->
	<xsl:template name="tCourseFormOfAssessment">
		<xsl:call-template name="tFormOfAssessment">
			<xsl:with-param name="pNode" select="key('objet',$idP)"/>
		</xsl:call-template>
	</xsl:template>
	
	<!-- Langue dans laquelle le cours est dispensé (sous forme de drapeau) -->
	<xsl:template name="tCourseInstructionLanguageTeachingLang">
		<xsl:choose>
			<xsl:when test="key('objet',$idP)/instructionLanguage/@teachingLang = 'en'">anglais
				<!--img src="{$baseMediaURL}/images/en.gif" alt="English" /-->
			</xsl:when>
			<xsl:when test="key('objet',$idP)/instructionLanguage/@teachingLang = 'es'">espagnol
				<!--img src="{$baseMediaURL}/images/es.gif" alt="Española" /-->
			</xsl:when>
			<xsl:otherwise>français
				<!--img src="{$baseMediaURL}/images/fr.gif" alt="Français" /-->
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	
	<!-- Langue dans laquelle le cours est dispensé -->
	<xsl:template name="tCourseInstructionLanguage">
		<xsl:value-of select="key('objet',$idP)/instructionLanguage"/>
	</xsl:template>
	
	<!-- Descriptif de la donnée "Bibliographie-lectures recommandées" dans ROF -->
	<xsl:template name="tCourseSyllabus">
		<xsl:apply-templates select="key('objet',$idP)/syllabus"/>
	</xsl:template>
	
</xsl:stylesheet>